Package twisted :: Package mail :: Module maildir :: Class AbstractMaildirDomain

[show private | hide private]
[frames | no frames]

## Class AbstractMaildirDomain

Known Subclasses:
  `MaildirDirdbmDomain`

Abstract maildir-backed domain.

Method Summary
| ``__init__`(self, service, root)` Initialize.
| ``exists`(self, user, success, failure)` Check for existence of user in the domain
| ``startMessage`(self, user)` Save a message for a given user
| ``userDirectory`(self, user)` Get the maildir directory for a given user

Class Variable Summary
`MetaInterface` | `__implements__`

Method Details

### __init__(self, service, root)
(Constructor)

Initialize.

### exists(self, user, success, failure)

Check for existence of user in the domain

### startMessage(self, user)

Save a message for a given user

### userDirectory(self, user)

Get the maildir directory for a given user

Override to specify where to save mails for users. Return None for non-existing users.

Class Variable Details

### __implements__

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.mail.mail.IDomain'>

Generated by Epydoc 1.1 on Thu May 8 13:18:31 2003 | http://epydoc.sf.net